# BEGIN SourceDeps(oneline):
BuildRequires: perl(Array/AllUtils.pm) perl(Bencher/Backend.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(List/MoreUtils.pm) perl(List/Util.pm) perl(PERLANCAR/warnings/all.pm) perl(Pod/Coverage/TrustPod.pm) perl(Role/Tiny.pm) perl(Role/Tiny/With.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(Test/Pod/Coverage.pm) perl(strict.pm) perl(utf8.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define module_name Bencher-Scenarios-PERLANCAR
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt1
Summary: PERLANCAR's collection of various benchmarks
Group: Development/Perl
License: perl
URL: https://metacpan.org/release/Bencher-Scenarios-PERLANCAR

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/P/PE/PERLANCAR/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This distribution contains the following the Bencher manpage scenario modules:

=over

=item * the Bencher::Scenario::PERLANCAR::require manpage

=item * the Bencher::Scenario::PERLANCAR::method_call_using_variable manpage

=item * the Bencher::Scenario::PERLANCAR::PERLANCARwarningsStartup manpage

=item * the Bencher::Scenario::PERLANCAR::state manpage

=item * the Bencher::Scenario::PERLANCAR::pass_list_vs_array manpage

=item * the Bencher::Scenario::PERLANCAR::grep_bool manpage

=item * the Bencher::Scenario::PERLANCAR::pkg_to_pkgpm manpage

=item * the Bencher::Scenario::PERLANCAR::In manpage

=item * the Bencher::Scenario::PERLANCAR::CommonModulesStartup manpage

=back

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE README Changes
%perl_vendor_privlib/B*

%changelog
* Fri Nov 09 2018 Igor Vlasenko <viy@altlinux.ru> 0.06-alt1
- initial import by package builder

